xn::AudioMetaData Class Reference
C++ Reference to Application Programmer Interface (API) » Meta-Data Objects (Frame Objects)

`#include <XnCppWrapper.h>`

Inheritance diagram for xn::AudioMetaData:
[legend]

## Public Member Functions

| XN_PRAGMA_START_DISABLED_WARNING_SECTION (XN_UNALIGNED_ADDRESS_WARNING_ID)
| AudioMetaData ()
void | InitFrom (const AudioMetaData &other)
XnUInt8 | NumberOfChannels () const
XnUInt8 & | NumberOfChannels ()
XnUInt32 | SampleRate () const
XnUInt32 & | SampleRate ()
XnUInt16 | BitsPerSample () const
XnUInt16 & | BitsPerSample ()
const XnAudioMetaData * | GetUnderlying () const
XnAudioMetaData * | GetUnderlying ()
Public Member Functions inherited from xn::OutputMetaData
| OutputMetaData (const XnUInt8 **ppData)
virtual | ~OutputMetaData ()
XnUInt64 | Timestamp () const
XnUInt64 & | Timestamp ()
XnUInt32 | FrameID () const
XnUInt32 & | FrameID ()
XnUInt32 | DataSize () const
XnUInt32 & | DataSize ()
XnBool | IsDataNew () const
XnBool & | IsDataNew ()
const XnOutputMetaData * | GetUnderlying () const
XnOutputMetaData * | GetUnderlying ()
const XnUInt8 * | Data () const
const XnUInt8 *& | Data ()
XnUInt8 * | WritableData ()
XnStatus | AllocateData (XnUInt32 nBytes)
void | Free ()
XnStatus | MakeDataWritable ()

## Public Attributes

| XN_PRAGMA_STOP_DISABLED_WARNING_SECTION

## Additional Inherited Members

Protected Attributes inherited from xn::OutputMetaData
XnUInt8 * | m_pAllocatedData

## Detailed Description

For saving the audio data from the xn::AudioGenerator node. This saved metadata object provides fast and easy access to the AudioGenerator node's data and configuration information.

## Constructor & Destructor Documentation

## AudioMetaData()

xn::AudioMetaData::AudioMetaData | ( |  | ) |

inline

## Member Function Documentation

## BitsPerSample() [1/2]

XnUInt16 & xn::AudioMetaData::BitsPerSample | ( |  | ) |

inline

Gets the number of bits per channel in a sample. This is a packet configuration setting associated with the saved audio metadata object.

## BitsPerSample() [2/2]

XnUInt16 xn::AudioMetaData::BitsPerSample | ( |  | ) | const

inline

Gets the number of bits per channel in a sample. This is a packet configuration setting associated with the saved audio metadata object.

## GetUnderlying() [1/2]

XnAudioMetaData * xn::AudioMetaData::GetUnderlying | ( |  | ) |

inline

Gets the C object that is wrapped by this object.

## GetUnderlying() [2/2]

const XnAudioMetaData * xn::AudioMetaData::GetUnderlying | ( |  | ) | const

inline

Gets the C object that is wrapped by this object.

## InitFrom()

void xn::AudioMetaData::InitFrom | ( | const AudioMetaData & | other | ) |

inline

Shallow-Copies an AudioMetaData object.

Parameters

  [in] | other | source object.

Remarks
  Note that the data buffer is not copied, and that both object will point to the same buffer.

## NumberOfChannels() [1/2]

XnUInt8 & xn::AudioMetaData::NumberOfChannels | ( |  | ) |

inline

Gets the number of channels in each sample. This is a packet configuration setting associated with the saved audio metadata object.

## NumberOfChannels() [2/2]

XnUInt8 xn::AudioMetaData::NumberOfChannels | ( |  | ) | const

inline

Gets the number of channels in each sample. This is a packet configuration setting associated with the saved audio metadata object.

## SampleRate() [1/2]

XnUInt32 & xn::AudioMetaData::SampleRate | ( |  | ) |

inline

Gets the rate at which the audio interface was sampled. This is a packet configuration setting associated with the saved audio metadata object.

## SampleRate() [2/2]

XnUInt32 xn::AudioMetaData::SampleRate | ( |  | ) | const

inline

Gets the rate at which the audio interface was sampled. This is a packet configuration setting associated with the saved audio metadata object.

## XN_PRAGMA_START_DISABLED_WARNING_SECTION()

xn::AudioMetaData::XN_PRAGMA_START_DISABLED_WARNING_SECTION | ( | XN_UNALIGNED_ADDRESS_WARNING_ID |  | ) |

## Member Data Documentation

## XN_PRAGMA_STOP_DISABLED_WARNING_SECTION

xn::AudioMetaData::XN_PRAGMA_STOP_DISABLED_WARNING_SECTION

The documentation for this class was generated from the following file:

- XnCppWrapper.h